CVE-2006-0840

NameCVE-2006-0840
Descriptionmanage_user_page.php in Mantis 1.00rc4 and earlier does not properly handle a sort parameter containing a ' (quote) character, which allows remote attackers to trigger a SQL error that may be repeatedly reported to a user who makes subsequent web accesses with the MANTIS_MANAGE_COOKIE cookie. NOTE: this issue might be the same as vector 2 in CVE-2005-4519.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-944-1
NVD severitymedium (attack range: remote)

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mantissource(unstable)1.0medium
mantissourcesarge0.19.2-5sarge1mediumDSA-944-1
mantissourcewoody(not affected)DSA-944-1

Notes

This was actually fixed upstream in Mantis 1.0.0rc5,
which was never uploaded.

Search for package or bug name: Reporting problems